=== debian/changelog ===
scitokens-cpp (0.5.1-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 20 Jan 2021 11:59:33 +0100

scitokens-cpp (0.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #977748)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 20 Dec 2020 01:01:28 +0100
