=== debian/control ===
Source: scitokens-cpp
Section: net
Priority: optional
Standards-Version: 4.5.1
Build-Depends:
 debhelper (>= 13),
 cmake,
 pkg-config,
 libcurl4-openssl-dev,
 libsqlite3-dev,
 libssl-dev,
 uuid-dev,
 googletest
Homepage: https://github.com/scitokens/scitokens-cpp
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Vcs-Browser: https://salsa.debian.org/ellert/scitokens-cpp
Vcs-Git: https://salsa.debian.org/ellert/scitokens-cpp.git

Package: libscitokens0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: C++ Implementation of the SciTokens Library
 This package implements a minimal library for creating and using
 SciTokens from C or C++.
 .
 SciTokens (https://scitokens.org) provide a token format for
 distributed authorization. The tokens are self-describing, can be
 verified in a distributed fashion (no need to contact the issuer to
 determine if the token is valid). This is convenient for a federated
 environment where several otherwise-independent storage endpoints
 want to delegate trust for an issuer for managing a storage
 allocation.

Package: libscitokens-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libscitokens0 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for scitokens-cpp
 Development files (header file, pkg-config file) for scitokens-cpp.
