=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	# unbundle googletest
	rm -rf vendor/gtest
	ln -s /usr/src/googletest vendor/gtest
	dh_auto_configure -- \
	    -DLIB_INSTALL_DIR:PATH=lib/$(DEB_HOST_MULTIARCH) \
	    -DBUILD_UNITTESTS:BOOL=ON

override_dh_auto_test:
	cd obj-$(DEB_HOST_GNU_TYPE) && XDG_CACHE_HOME=$(CURDIR)/.cache ctest

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .cache
	rm -rf vendor/gtest
