## scitokens-cpp 0.6.2

=== debian/changelog ===
scitokens-cpp (0.6.2-2) unstable; urgency=medium

  * Allow compilation with openssl 3 (Closes: #1001433)
    Patch from Ubuntu: Steve Langasek <steve.langasek@canonical.com>

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 02 Jan 2022 09:25:41 +0100

scitokens-cpp (0.6.2-1) unstable; urgency=medium

  * Update to version 0.6.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 25 Aug 2021 10:36:24 +0200
