=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: scitokens-cpp
 Section: net
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper (>= 13),
  cmake,
@@ -10,7 +10,7 @@
  libsqlite3-dev,
  libssl-dev,
  uuid-dev,
- googletest
+ libgtest-dev
 Homepage: https://github.com/scitokens/scitokens-cpp
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Vcs-Browser: https://salsa.debian.org/ellert/scitokens-cpp
