=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Allow compilation with openssl 3
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations

%:
	dh $@

override_dh_auto_configure:
	rm -rf vendor/gtest # To make sure it is not used
	dh_auto_configure -- \
	    -DBUILD_UNITTESTS:BOOL=ON \
	    -DEXTERNAL_GTEST:BOOL=ON

override_dh_auto_test:
	cd obj-$(DEB_HOST_GNU_TYPE) && XDG_CACHE_HOME=$(CURDIR)/.cache ctest

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .cache
