## scitokens-cpp 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,11 @@
 project( scitokens-cpp )
 
 option( BUILD_UNITTESTS "Build the scitokens-cpp unit tests" OFF )
+option( EXTERNAL_GTEST "Use an external/pre-installed copy of GTest" OFF )
 
 set( CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake )
+
+include(GNUInstallDirs)
 
 find_package( jwt-cpp REQUIRED )
 find_package( CURL REQUIRED )
@@ -66,33 +69,26 @@
 add_executable(scitokens-create src/create.cpp)
 target_link_libraries(scitokens-create SciTokens)
 
-if (NOT DEFINED LIB_INSTALL_DIR)
-  SET(LIB_INSTALL_DIR "lib")
-endif()
-
-if (NOT DEFINED INCLUDE_INSTALL_DIR)
-  SET(INCLUDE_INSTALL_DIR "include")
-endif()
-
 if( BUILD_UNITTESTS )
-
+if( NOT EXTERNAL_GTEST )
 include(ExternalProject)
 ExternalProject_Add(gtest
     PREFIX external/gtest
-    URL file://${PROJECT_SOURCE_DIR}/vendor/gtest
+    URL ${CMAKE_CURRENT_SOURCE_DIR}/vendor/gtest
     INSTALL_COMMAND :
 )
+endif()
 enable_testing()
 add_subdirectory(test)
 endif()
 
 install(
   TARGETS SciTokens
-  LIBRARY DESTINATION ${LIB_INSTALL_DIR} )
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} )
 
 install(
   FILES src/scitokens.h
-  DESTINATION ${INCLUDE_INSTALL_DIR}/scitokens )
+  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/scitokens )
 
 set_target_properties(
   SciTokens
