=== debian/changelog ===
scitokens-cpp (0.6.3-1) stable; urgency=medium

  [ Dave Dykstra ]
  * Add support for building Debian packages on the OpenSUSE Build System
  * Add patch to jwt-cpp to update its picojson dependency in order to
    enable it to compile on Debian 11 and Ubuntu 21.04
  * Fix el7 build by requiring epel-rpm-macros

 -- root <root@e828ad46419b>  Wed, 20 Oct 2021 11:18:10 +0000

scitokens-cpp (0.6.2-2) stable; urgency=medium

  * Make the build require cmake3 instead of cmake

 -- Dave Dykstra <dwd@fnal.gov>  Thu, 26 Aug 2021 12:00:00 -0500

scitokens-cpp (0.6.2-1) stable; urgency=medium

  * Correct WLCG compat for condor read permissions

 -- Dave Dykstra <dwd@fnal.gov>  Thu, 26 Aug 2021 12:00:00 -0500

scitokens-cpp (0.6.1-1) stable; urgency=medium

  * Fix vector resize for el8+ builds

 -- Derek Weitzel <dweitzel@unl.edu>  Thu, 20 May 2021 12:00:00 -0500

scitokens-cpp (0.6.0-2) unstable; urgency=medium

  * Fix empty libscitokens0 package

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 26 Mar 2021 08:11:00 -0500

scitokens-cpp (0.6.0-1) unstable; urgency=medium

  * Fix compilation errors on c++11
  * Update to jwt-cpp-0.4.0 vendor
  * Change scitoken profile name to match spec, scitoken:2.0

 -- Derek Weitzel <dweitzel@unl.edu>  Tue, 09 Mar 2021 13:45:00 -0600

scitokens-cpp (0.5.1-3) unstable; urgency=low

  * Updated packaging for Debian

 -- Tim Theisen <tim@cs.wisc.edu>  Sun, 28 Feb 2021 16:02:24 -0600

scitokens-cpp (0.5.1-1) unstable; urgency=low

  * Initial release.

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 04 Dec 2020 10:54:24 -0600
