## scitokens-cpp 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,11 +80,14 @@
 endif()
 enable_testing()
 add_subdirectory(test)
+
+else()
+get_directory_property(TARGETS BUILDSYSTEM_TARGETS)
+install(
+  TARGETS ${TARGETS} 
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )
 endif()
-
-install(
-  TARGETS SciTokens
-  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} )
 
 install(
   FILES src/scitokens.h
