=== debian/changelog ===
scitokens-cpp (0.7.0-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 22 Feb 2022 15:53:26 +0100

scitokens-cpp (0.7.0-1) unstable; urgency=medium

  * Update to version 0.7.0
  * Add scitokens-cpp binary package

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 19 Feb 2022 14:02:05 +0100
