=== debian/control ===
--- 
+++ 
@@ -43,4 +43,15 @@
  libscitokens0 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for scitokens-cpp
- Development files (header file, pkg-config file) for scitokens-cpp.
+ Development files (header files) for scitokens-cpp.
+
+Package: scitokens-cpp
+Architecture: any
+Multi-Arch: foreign
+Section: net
+Depends:
+ libscitokens0 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: Binaries for scitokens-cpp
+ Binaries for creating, verifying and testing scitokens.
