=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	rm -rf vendor/gtest # To make sure it is not used
 	dh_auto_configure -- \
 	    -DBUILD_UNITTESTS:BOOL=ON \
 	    -DEXTERNAL_GTEST:BOOL=ON
