## scitokens-cpp 0.7.1

=== debian/changelog ===
scitokens-cpp (0.7.1-1) unstable; urgency=medium

  * Update to version 0.7.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 23 Jun 2022 11:26:07 +0200
