## scitokens-cpp 0.7.2

=== debian/changelog ===
scitokens-cpp (0.7.2-1) unstable; urgency=medium

  * Update to version 0.7.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 01 Nov 2022 14:11:21 +0100
