=== debian/changelog ===
scitokens-cpp (0.7.3-1) unstable; urgency=medium

  * Update to version 0.7.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 06 Nov 2022 21:34:51 +0100
