=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: scitokens-cpp
 Section: net
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper (>= 13),
  cmake,
