=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DSCITOKENS_BUILD_UNITTESTS:BOOL=ON \
	    -DSCITOKENS_EXTERNAL_GTEST:BOOL=ON

override_dh_auto_test:
	cd obj-$(DEB_HOST_GNU_TYPE) && XDG_CACHE_HOME=$(CURDIR)/.cache ctest

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .cache
