## scitokens-cpp 1.0.2

=== debian/changelog ===
scitokens-cpp (1.0.2-1) stable; urgency=medium

  [ Derek Weitzel ]
  * Add support for API-configurable cache home
  * Fix enforcer_acl_free logic
  * scitokens_internal: catch matching exception type after jwt-cpp update

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 24 Jul 2023 20:13:43 +0000

scitokens-cpp (1.0.1-1) stable; urgency=medium

  * Fix bug in generate acls which would cause a timeout

 -- Derek Weitzel <dweitzel@unl.edu>  Wed, 26 Apr 2023 12:00:00 -0500

scitokens-cpp (1.0.0-1) stable; urgency=medium

  * Add async API for parsing and verifying tokens
  * Add configuration API
  * Make nbf claim optional for non-scitokens tokens
  * Update to OpenSSL 3.0

 -- Derek Weitzel <dweitzel@unl.edu>  Tue, 21 Mar 2023 10:18:59 -0500

scitokens-cpp (0.7.3-1) stable; urgency=medium

  * Retry failed key renewal every 5 minutes

 -- Derek Weitzel <dweitzel@unl.edu>  Tue, 01 Nov 2022 08:29:22 -0500

scitokens-cpp (0.7.2-1) stable; urgency=medium

  * Add curl timeout of 4 seconds for update, and 30 for expired keys

 -- Derek Weitzel <dweitzel@unl.edu>  Mon, 31 Oct 2022 15:35:17 -0500

scitokens-cpp (0.7.1-1) stable; urgency=medium

  * Add scitokens-* binaries to the package
  * Bug: close sqlite db handle on return

 -- Derek Weitzel <dweitzel@unl.edu>  Wed, 22 Jun 2022 11:26:18 -0500

scitokens-cpp (0.7.0-1) stable; urgency=medium

  * Changes from static analysis
  * If only one key is available, do not error on no kid
  * Support at+jwt profile

 -- Derek Weitzel <dweitzel@unl.edu>  Fri, 18 Feb 2022 13:16:18 -0600
