=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,12 @@
 	    -DSCITOKENS_EXTERNAL_GTEST:BOOL=ON
 
 override_dh_auto_test:
-	cd obj-$(DEB_HOST_GNU_TYPE) && XDG_CACHE_HOME=$(CURDIR)/.cache ctest
+	# Filter out tests that require network connection
+	# Use a key cache directory outside HOME since HOME might not exit
+	cd obj-$(DEB_HOST_GNU_TYPE) && \
+		GTEST_FILTER=-KeycacheTest.RefreshTest:KeycacheTest.RefreshExpiredTest \
+		XDG_CACHE_HOME=$(CURDIR)/.cache \
+		ctest --output-on-failure
 
 override_dh_auto_clean:
 	dh_auto_clean
