=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Standards-Version: 4.6.2
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
  cmake,
  pkg-config,
  libcurl4-openssl-dev,
@@ -48,7 +48,6 @@
 Package: scitokens-cpp
 Architecture: any
 Multi-Arch: foreign
-Section: net
 Depends:
  libscitokens0 (= ${binary:Version}),
  ${shlibs:Depends},
